Chargement avidemux/linux mint [Résolu/Fermé]

Signaler
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020
-
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
-
bonjour à tous
je tache d'installer avidemux après trop de difficultés avec virtualdub .
mais le terminal indique ce qui suit:

[http://static.ccm2.net/www.commentcamarche.net/pictures/CltaOfSh8DQ3f8j77E80aeGZk1VayliaeZ9ZB6IdjX7WPQ1CHyYbytT8flkLvCoI-capture-terminal.png [image:http://static.ccm2.net/www.commentcamarche.net/pictures/CltaOfSh8DQ3f8j77E80aeGZk1VayliaeZ9ZB6IdjX7WPQ1CHyYbytT8flkLvCoI-capture-terminal-s-.png|598px||center]|fancy]

pouvez vous me donner vos propositions?
merci de votre attention
n.B: je recommence tout à zéro.

15 réponses

Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
Bonjour,

Premier conseil : ne pas faire de capture d'écran de ton terminal. Un bon vieux copier coller sera bien plus pratique pour tout le monde;

Donc ici on te dit que tu tentes d'installer un paquet virtuel. Ceci m'amène à mon second conseil ! Quand tu ne comprends pas quelque chose sous linux (message d'erreur ou autre) cherche le avec ton moteur de recherche favori, bien souvent tu auras la réponse !

En bref :
- apt est ton gestionnaire de paquets (= composants logiciels)
- les paquets ont des dépendances sur d'autres paquets
- parmi ces paquets, certains sont virtuels : ils servent à mettre en œuvre des dépendances complètes et réalise typiquement un "ou logique". Imagine que par exemple je fasse un paquet qui requiert un navigateur, je pourrais dire que je dépend de "navigateur", qui est un paquet virtuel qui dépend de firefox ou de chromium. Pour autant, dire à apt je veux installer "navigateur" n'a pas de sens.

Ici c'est exactement ton message d'erreur. Tu dois lancer soit
sudo apt-get install avidemux2.6-unstable-cli
soit
sudo apt-get install avidemux2.6-cli
. Ce qui m'amène à mon troisième conseil : l'un des deux paquets provient d'un ppa. Et les ppa, c'est mal, car se souvent des dépôts qui fournissent des paquets qui entrent en collision avec les paquets officiels, où du moins déclenchent le message auquel tu as été confronté.

Donc pour résumer :
- désactive tes ppa, en général ça ne sert pas.
- lance
sudo apt-get update
.
- installe le paquet
sudo apt-get install avidemux2.6-cli
.

Bonne chance
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

Bonjour à tous
merci mamiemando de ton conseil.
je viens donc de supprimer les 3ppa installés, j'ai fait la mise à jour et j'ai demandé l'install d'avidemux2.6 cli (tout ça avec les script proposés).

le terminal a fait le boulot. cependant je ne trouve avidemux ni sur mon bureau ou/et dans le menu.
ai je oublié une manip?

merci de ton attention
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
Quand tu installes un paquet ça n'ajoute pas forcément d'icône, ça dépend. Tu peux regarder quelles commandes sont installées par ce paquets :

sudo apt-get update
sudo apt-get install apt-file
sudo apt-file update


Puis :

apt-file list avidemux | grep bin/


(reporte-moi le résultat si besoin).

Exemple on voit que sous debian le paquet firefox-esr fourni deux commandes :
 firefox-esr
et
firefox
.

(mando@velvet) (~) $ apt-file list firefox-esr | grep bin/
firefox-esr: /usr/bin/firefox
firefox-esr: /usr/bin/firefox-esr


Il suffit donc de taper l'une de ces deux commandes pour exécuter le programme.
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

bonsoir à tous
merci mamiemando de ton attention.
je viens de tapper les commandes indiquées mais le sytéme après avoir fait les chargements ne trouve pas avidemux. je joins la copie finale du terminal. le texte complet prend plus de la page.
donc:
"olivier@OliviPlex-380 ~ $ apt-file list avidemux | grep bin/
olivier@OliviPlex-380 ~ $ avidemux: /usr/bin/avidemux
avidemux: : commande introuvable
olivier@OliviPlex-380 ~ $ avidemux-esr: /usr/bin/avidemux-esr
avidemux-esr: : commande introuvable"

ceci dit j'ai peut être dérapé quelques part...

même ainsi: apt-file list avidemux2.6 cli | grep bin/
olivier@OliviPlex-380 ~ $ avidemux2.6 cli: /usr/bin/avidemux2.6 cli
avidemux2.6 : commande introuvable
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
La commande à taper pour voir le contenu du paquet est
apt-file list avidemux | grep bin/ 
. Tu ne dois jamais "recopier" l'invite de commande (
(mando@velvet) (~) $
dans mon cas), c'est juste que j'ai copié collé tout ce qui était écrit dans mon terminal.

Si tu n'arrives pas à utiliser
apt-file
, tu peux aussi retrouver son contenu via package ubuntu :
https://packages.ubuntu.com/trusty/amd64/avidemux-cli/filelist

On voit que l'exécutable s'appelle
/usr/bin/avidemux2_cli
donc la commande serait
avidemux2_cli
. C'est probablement vu le nom un client en mode texte, ce qui explique que tu n'aies pas d'icône. Il faut donc probablement que tu installes un client en mode graphique, comme par exemple avidemux-qt.

Comme cette page le montre, tu dois au préalable activer les dépôts multiverse :
https://packages.ubuntu.com/trusty/avidemux-qt

Pour ce faire
https://askubuntu.com/questions/89096/how-do-i-enable-the-multiverse-repository

Ensuite si on regarde ici (ou avec apt-file) tu verras que le client graphique s'appelle
avidemux2_qt4

https://packages.ubuntu.com/trusty/amd64/avidemux-qt/filelist

Bonne chance
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

doublon...oups
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

Bonjour à tous
merci de ta réponse mamiemando . ceci étant je dois préciser que l'architecture de mon pc est en 32bits (linux mint 18 cinnamon 32 bits) et les packages proposés sont en 64 bits.

je vais déjà ré essayer apt-file. rassure toi je n'avais pas copié l'invite de commande.
j'ai une autre inquiétude sur les liens proposés c'est qu'ils sont en anglais...j'en suis resté à: "may j have a tea please?"
je vais voir si je peux charger le client graphique par le gestionnaire de logiciels (je crois avoir vu le sus dit)
je reviens
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

premier essai et retour du terminal:
sudo apt-file list avidemux2-cli | grep bin/
[sudo] Mot de passe de olivier :
olivier@OliviPlex-380 ~ $ avidemux: /usr/bin/avidemux2-cli
avidemux: : commande introuvable

recherche de avidemux-qt_2.5.4 avec synaptic sans résultat (mention colonne gauche et fenêtre vide)

essai terminal:
olivier@OliviPlex-380 ~ $ deb http://fr.archive.ubuntu.com/ubuntu/ trusty main multiverse
La commande « deb » est introuvable, vouliez-vous dire :
La commande « deb3 » du paquet « quilt » (universe)
La commande « derb » du paquet « icu-devtools » (main)
La commande « dab » du paquet « bsdgames » (universe)
La commande « dub » du paquet « dub » (universe)
La commande « debi » du paquet « devscripts » (main)
La commande « dex » du paquet « dex » (universe)
La commande « xdeb » du paquet « xdeb » (universe)
La commande « debc » du paquet « devscripts » (main)
deb : commande introuvable
olivier@OliviPlex-380 ~ $ /etc/apt/sources.list
bash: /etc/apt/sources.list: Permission non accordée
olivier@OliviPlex-380 ~ $ sudo /etc/apt/sources.list
[sudo] Mot de passe de olivier :
sudo: /etc/apt/sources.list : commande introuvable
olivier@OliviPlex-380 ~ $

sur le sable...
merci de vos propositions
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

Il y a du neuf: j'ai remis le couvert et j'obtiens du terminal la copie ci jointe:
olivier@OliviPlex-380 ~ $ avidemux2.6_cli /usr/bin/avidemux2.6-cli
Directory /home/olivier/.avidemux6/ exists.Good.
Using /home/olivier/.avidemux6/ as base directory for prefs, jobs, etc.


Avidemux vADM_VERSION (ADM_SUBVERSION) .

http://www.avidemux.org
Code : Mean, JSC, Grant Pedersen
GFX : Nestor Di, nestordi@augcyl.org
Design : Jakub Misak
FreeBSD : Anish Mistry, amistry@am-productions.biz
Audio : Mihail Zenkov
Mac OS X : Kuisathaverat, Harry van der Wolf
Win32 : Grant Pedersen

Compiler: GCC 4.2.1 Compatible Clang 3.8.0 (tags/RELEASE_380/final)
Build Target: Linux (x86)
User Interface: CLI

Large file available: 1 offset
Time: Fri Mar 3 20:41:08 2017

0: avidemux2.6_cli
1: /usr/bin/avidemux2.6-cli

Initialising prefs
[load] 19:41:08-307 Loading prefs from /home/olivier/.avidemux6/config3
[load] 19:41:08-315 Preferences found and loaded
[CpuCaps] Checking CPU capabilities
MMX detected
MMXEXT detected
SSE detected
SSE2 detected
SSE3 detected
SSSE3 detected
[CpuCaps] End of CPU capabilities check (cpuCaps: 0x000001e6, cpuMask: 0xffffffff)
[setMask] 19:41:08-315 [CpuCaps] Setting mask to 0x7fffffff

[Locale] setlocale fr_FR.UTF-8
[Locale] Textdomain was messages
[Locale] Textdomain is now avidemux
[Locale] Test: _File

Initializing Dithering tables
[UI Toolkit] Running version 02:00
[Script] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//scriptEngines
[Script] Cannot parse plugin
[Script] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//scriptEngines/cli
[Script] Cannot parse plugin
[ADM_ad_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//audioDecoder
[ADM_ad_plugin] Cannot parse plugin
[ADM_av_loadPlugins] 19:41:08-367 [ADM_av_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//audioDevices
[ADM_av_loadPlugins] 19:41:08-367 [ADM_av_plugin] Cannot parse plugin
[ADM_ae_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//audioEncoders
[ADM_ae_plugin] Cannot parse plugin
[ADM_dm_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//demuxers
[ADM_av_plugin] Cannot parse plugin
[ADM_mx_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//muxers
[ADM_av_plugin] Cannot parse plugin
[ADM_vd6_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//videoDecoders
[ADM_vd6_plugin] Cannot parse plugin
Unable to load [copyADM]: copyADM: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
[videoEncoder6]Symbol loading failed for copyADM
[ADM_ve6_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//videoEncoders
[ADM_ve6_plugin] Cannot parse plugin
[ADM_ve6_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//videoEncoders/cli
[ADM_ve6_plugin] Cannot parse plugin
[ADM_vf_plugin] Scanning directory /usr/lib/i386-linux-gnu/ADM_plugins6//videoFilters
[ADM_vf_plugin] Cannot parse plugin
[ADM_vf_plugin] Cannot parse plugin
[ADM_audioByName] 19:41:08-368 Device not found :PulseAudioS
  • Error *
  • File error *
  • "/usr/bin/avidemux2.6-cli" does not exist. *



End of program..


[save] 19:41:08-368 Saving prefs to /home/olivier/.avidemux6/config3.tmp
[destroy] 19:41:08-408 Destroying preview
[deleteAll] 19:41:08-408 [Editor] Deleting all videos
[deleteAll] 19:41:08-408 [Editor] Deleting all videos
Normal exit
[uninstallSigHandler] 19:41:08-408 Removing signal handler
[abortExitHandler] 19:41:08-408 already done, nothing to do
olivier@OliviPlex-380 ~ $

la nouvelle est elle réjouissante?

cependant en cherchant avdx2_qt4 le terminal me renvoi:
olivier@OliviPlex-380 ~ $ sudo avidemux2_qt4 /usr/bin/avidemux2_qt4
[sudo] Mot de passe de olivier :
sudo: avidemux2_qt4 : commande introuvable
olivier@OliviPlex-380 ~ $

merci de vos réponses
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

bonsoir à tous
je me suis trompé en pensant 64bits alors qu'il s'agissait de 64amd (carte graphique)§ désolé. ceci dit comment télécharger sur ce lien?

https://packages.ubuntu.com/trusty/amd64/avidemux-qt/filelist

et ce paquet est il compatible avec ma carte "intel"?


j'ai éssayé d'installer avdmx 2-qt mais je reçois un message d'erreur:

désolé c'est une capture mais la source est incontournable (impossible de copier).

merci de vos réponses
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
merci de ta réponse mamiemando . ceci étant je dois préciser que l'architecture de mon pc est en 32bits (linux mint 18 cinnamon 32 bits) et les packages proposés sont en 64 bits.

Ben oui mais non. Selon le théorème du chausse pied, tu ne peux pas faire marcher un programme 64 bits sur une architecture 32 bits.

sudo apt-file list avidemux2-cli | grep bin/
[sudo] Mot de passe de olivier :
olivier@OliviPlex-380 ~ $ avidemux: /usr/bin/avidemux2-cli
avidemux: : commande introuvable


Le problème c'est que tu n'as pas compris ce que tu tapais. Pour commencer apt-file n'a rien retourné. Donc il ne t'as pas permis de répondre. Ensuite si tu lances apt-file sans grep tu verras qu'il écrit à gauche du ":" le nom du paquet, et à droite le nom du fichier qui correspond à ta recherche. Donc la tu as tapé "paquet:commande" alors que dans un terminal on tape juste des commandes.

je me suis trompé en pensant 64bits alors qu'il s'agissait de 64amd (carte graphique)§ désolé. ceci dit comment télécharger sur ce lien?

Ça ne change rien au problème : pour faire simple :
- linux 32 bits = x86
- linux 64 bits = amd64
... et tu ne peux pas faire marcher un programme 64 bits sur une architecture 32 bits.

Une solution serait de réinstaller un linux 64 bits ou bien d'opter pour un logiciel qui existe en 32 bits. Personnellement je privilégierais la première approche si ton matériel la supporte.

Bonne chance
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

bonsoir à tous
finalement je viens d'installer avidemux en suivant les conseils du site:
https://doc.ubuntu-fr.org/avidemux

précision: https://www.fosshub.com/Avidemux.html

le logiciel est installé sous l'influence de wine, en français (vraiment marre des tas de textes en anglais = ça fini par frôler l'abrutissement. Désolé mais je ne fais pas dans le "bisounours")

avidemux charge, lis, fonctionne, même avec des vidéos en . avi, et aussi .Mts;
sans bidouillages, directement! si! et supplément Moka : il ne plante pas!

bonne soirée
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
Merci pour ton retour, bonne continuation !
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

bonsoir mamiemando. je précise aussi que le logiciel est avidemux pour 32bits. je prèfere ça que racheter un pc (ce qui ne m'est arrivé qu'une fois en 30 ans...) surtout avec des os-piégeux, pour rester poli.

a la prochaine
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
À un moment tu as parlé de wine dans ton message précédent, tu veux donc dire que tu as récupéré une version windows 32 bits et que tu l'as fait marcher avec wine, ou j'ai mal compris ? Si tu peux faire un résumé un peu plus clair de ce que tu as fait ce serait parfait.
Messages postés
67
Date d'inscription
mercredi 18 janvier 2017
Statut
Membre
Dernière intervention
23 avril 2020

Bonsoir mamiemando

en fait j'ai baissé pavillon pour installer une version française d'avidemux sur linux, par contre sur le site indiqué plus haut j'ai trouvé une version compatible wine et 32 bits d'architecture.
donc dans les faits les capacités de mon pc ne sont pas en cause, ni la version linux mint 18 Sarah.

par contre je n'ai pas trouvé de tutoriel clair et simple (pour un amateur ne pratiquant pas le codage tous les jours de la semaine) pour installer sans planches une version pour linux en français et 32 bits . où alors c'est vraiment trés mal expliqué. ou plus abruptement tout en anglais.

concernant ws il semble que cela n'est pas prés de s'améliorer :


à bientôt
Messages postés
29587
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
26 février 2021
7 033
Merci pour ces précisions. C'est effectivement bien dommage pour ces histoires d'avidemux en 32 bits, mais je pense que le problème va se résorber mécaniquement de lui-même, puisque la plupart des PCs sont maintenant en 64 bits.

Après concernant windows 10... et bien ce n'est pas vraiment nouveau qu'il y a des trous de sécurité :-) Les journaux en parlent parce que c'est ce que les gens utilisent le plus. Mais certains composants linux ont parfois aussi des trous de sécurités... Et le plus souvent les attaques marchent sur les PCs mal mis à jour, mal protégés ou mal administrés... donc des paramètres humains plus que liés au système :-)